// bower:scss
// endbower

.browsehappy {
  margin: 0.2em 0;
  background: #ccc;
  color: #000;
  padding: 0.2em 0;
}

.yadcf-filter-wrapper  {
  display : block !important;
  width   : 100%;
}

.yadcf-filter-wrapper .yadcf-filter  {
  width : 100%;
}

.yadcf-filter-wrapper-inner {
  border : none;
}

.yadcf-filter-wrapper
.yadcf-filter-wrapper-inner
span {
  margin : 1px;
}

/*
 * yadcf-filter-range-date = fecha
 * yadcf-filter-range-number = numeros
 * select2-container = select2
 */
.yadcf-filter-wrapper
.yadcf-filter-wrapper-inner
input {
  width : 100%;
}

.yadcf-filter-wrapper
.yadcf-filter-wrapper-inner
span + input {
  display : block;
}


.yadcf-filter-wrapper
.select2-container {
   width: 100%;
}

body {
  padding: 0;
}

/* Everything but the jumbotron gets side spacing for mobile first views */
.header,
.marketing,
.footer {
  padding-left: 15px;
  padding-right: 15px;
}

/* Custom page header */
.header {
  border-bottom: 1px solid #e5e5e5;
  margin-bottom: 10px;

  /* Make the masthead heading the same height as the navigation */
  h3 {
    margin-top: 0;
    margin-bottom: 0;
    line-height: 40px;
    padding-bottom: 19px;
  }
}

/* Custom page footer */
.footer {
  padding-top: 19px;
  color: #777;
  border-top: 1px solid #e5e5e5;
}

.container-narrow > hr {
  margin: 30px 0;
}

/* Main marketing message and sign up button */
.jumbotron  {
  text-align: center;
  border-bottom: 1px solid #e5e5e5;

  .btn {
    font-size: 21px;
    padding: 14px 24px;
  }
}

/* Supporting marketing content */
.marketing {
  margin: 40px 0;

  p + h4 {
    margin-top: 28px;
  }
}

.main-table th:last-child {
  text-align: center;
  vertical-align: middle;
}
@media screen and (max-width: 768px) {

  .navbar-header {
    margin-right: 0px;
    margin-left: 0px;
  }

  .navbar {
    margin-bottom: 0px;
  }

  #sidebar.mapa-sidebar {
    height: 5%;
    overflow: visible;
  }


  .header {
    padding-left: 0px;
    padding-right: 0px;
    margin-bottom: 0px;

  }

}

@media screen and (max-width: 768px) and (min-width: 401px) {
  #sidebar.mapa-sidebar {
    width: 50vw !important;
  }
}

@media screen and (max-width: 400px) {
  #sidebar.mapa-sidebar {
    width: 60vw !important;
  }
}
/* Responsive: Portrait tablets and up */
@media screen and (min-width: 768px) {
  .container {
    margin-top: 10px;
    max-width: 85%;
    width: 80%;
  }

  .leaflet-sidebar {
    padding-left: 1px;
    padding-top: 1px;
  }

  .navbar {
    margin-bottom: 0;
  }

  #sidebar {
    width: 100%;
    height: 5%;
    overflow: visible;
  }
  /* Remove the pad20ng we set earlier */
  .header,
  .marketing,
  .footer {
    padding-left: 0;
    padding-right: 0;
  }
  /* Space out the masthead */
  .header {
    margin-bottom: 0px;
  }
  /* Remove the bottom border on the jumbotron for visual effect */
  .jumbotron {
    border-bottom: 0;
  }

}

.main-map > #map {
  height   : 86%;
  height   : calc(100% - 50px);
  width    : 100%;
  position : absolute;
}

element.style {
    width: 60%;
}
/*estilos de subir imagenes*/
.my-drop-zone { border: dotted 3px lightgray; }
.nv-file-over { border: dotted 3px red; } /* Default class applied to drop zones on over */
.another-file-over-class { border: dotted 3px green; }

html, body { height: 100%; }
canvas {

  background-color   : #f3f3f3;
  -webkit-box-shadow : 3px 3px 3px 0 #e3e3e3;
  -moz-box-shadow    : 3px 3px 3px 0 #e3e3e3;
  box-shadow         : 3px 3px 3px 0 #e3e3e3;
  border             : 1px solid #c3c3c3;
  height             : 100px;
  margin             : 6px 0 0 6px;
}

.main-map.mapa-embedded > #map {
  height: 100vh !important;
}

.main-map .leaflet-sidebar.left.visible {
  height: inherit;
  width:250px;
}

#sidebar.mapa-sidebar {
  background-color : inherit;
  box-shadow       : none;
  padding          : 0px;
  border           : 0px;
  width            : 100%;
}



.navbar.navbar-default {
  background-color: #ECEFF1;
}

.navbar-brand,
.navbar-default .navbar-nav > li > a {
  color: #263238 !important;
}


#sidebar .panel-group .left-controls {
   background-color: #01579B;
   margin-top      : 0px;
}

.btn.btn-primary.btn-xs {
  background-color: #01579B !important;
  margin-top      : 0px;
  border-color    : #ECEFF1;
  color:            #ECEFF1 !important;
}

.panel-default.left-controls > div{
  background-color:inherit;

}

#sidebar a {
  color : #E1F5FE;
  font-weight : bold;
  font-size: 14px;
}

.fadein.ng-enter {
  transition:0.5s linear all;
  opacity:0;
}

/* The finishing CSS styles for the enter animation */
.fadein.ng-enter.ng-enter-active {
  opacity:1;
}

.left-controls a:hover {
   text-decoration : none;
}

.expand-icon {
  font-size : 20px;
}

.left-controls .panel-body {
   background-color : #E6E7E8;
}

.left-controls .form-control {
  border-radius: 50px;
}

.detail-card {
    padding          : 2px;
    //border-radius    : 15px;
    background-color : #F7F9FA;
}
.carousel-control.right {
  background-image : none;
}
.carousel-control.left {
  background-image : none;
}

.detail-picture {
  min-height: 100%;
  max-height: 100%;
  border-top-right-radius : 15px;
  border-top-left-radius  : 15px;
}

#sidebar .text-muted {
   color : darken(#E6E7E8, 15%);
}

#sidebar .carousel-indicators {
  visibility: hidden;
}
//agrega el color a los simbolos mas y menos del zoom controller.
.leaflet-bar a {
  color:black;
}

.scrollit-table{
    overflow:scroll;
    height: auto;
    height:30vh;
    overflow-x: hidden;
}


.leaflet-sidebar {
  z-index: 1040;
}

textarea {
   width:100%;
   resize:none;
   max-height:250px;
   min-height:100px;
}
.acordeon-tipo-shape .panel-body {
    padding: 0px;
}

#clearoption .glyphicon {
  color:grey;
}

.glyphicon-custom {
    font-size: 30px;
}
// agregado para para la leyenda
.legend {
    line-height: 18px;
    color: #555;
}
.legend i {
    width: 18px;
    height: 18px;
    float: left;
    margin-right: 8px;
    opacity: 0.7;
}
.info {
    padding: 6px 8px;
    background: white;
    background: rgba(255,255,255,0.8);
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
    border-radius: 5px;
}

line{
    stroke: black;
    stroke-width: 2;
}
.embed-container {
    position: relative;
    padding-bottom: 75%;
    height: 0;
    overflow: hidden;
}
.embed-container iframe {
    position: absolute;
    top:0;
    left: 0;
    width: 100%;
    height: 100%;
}
.calendario-filtros {
  position: relative;
}
.calendario-filtros .dropdown-menu {
   left: auto !important;
   right: 0px;
 }


 #map {
   width: 100%;
   height: 100%;
 }

.loading {
  z-index: 30000;
}



 .animate-if.ng-enter, .animate-if.ng-leave {
    -webkit-transition: 1s linear all;
    -moz-transition: 1s linear all;
    -ms-transition: 1s linear all;
    -o-transition: 1s linear all;
    transition: 1s linear all;
    overflow:hidden;
}

 .animate-if.ng-enter {
    max-height: 0;
    opacity: 0;
}

 .animate-if.ng-enter.ng-enter-active {
    max-height: 999px;
    opacity:1;
}

 .animate-if.ng-leave {
    max-height: 999px;
    opacity:1;

}

.leaflet-control-layers-toggle {
    width: 45px;
    height: 50px;
}

.animate-if.ng-leave.ng-leave-active {
    max-height: 0;
    opacity:1;
}

@media screen and (min-width: 768px) {
  .leaflet-top.leaflet-right > .leaflet-control {
      float: left;
      clear: none;
  }
  .main-map .leaflet-sidebar.left.visible {
    height: inherit;
    width:400px;
  }
}

@media screen and (min-height: 768px){
  .scrollit-table{
      overflow:scroll;
      height: 50vh;
      overflow-x: hidden;
  }
}

@media screen and (min-width: 300px) and (orientation: landscape){
  .leaflet-top.leaflet-right > .leaflet-control {
      float: left;
      clear: none;
  }
  .main-map .leaflet-sidebar.left.visible {
    height: inherit;
    width:400px;
  }
}

.dataTables_wrapper.form-inline.dt-bootstrap {
  padding: 10px;
}

.header {
  visibility: hidden;
}

.header.show {
  visibility: initial;
}

.horizontal-sep {
  border-color: #009BE1;
  margin: 5px;
}


#sidebar .panel-body  {
  padding-right: 0px;
}

.scrollable-content {
  padding-right: 5px !important;
}
